package org.dromara.payment.merchant.service;

import org.dromara.payment.merchant.domain.BusMerchantAccountSyn;
import org.dromara.payment.merchant.domain.vo.BusMerchantAccountSynVo;
import org.dromara.payment.merchant.domain.bo.BusMerchantAccountSynBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 商户账户同步Service接口
 *
 * @author LionLi
 * @date 2024-04-03
 */
public interface IBusMerchantAccountSynService {

    /**
     * 查询商户账户同步
     */
    BusMerchantAccountSynVo queryById(Long id);

    /**
     * 查询商户账户同步列表
     */
    TableDataInfo<BusMerchantAccountSynVo> queryPageList(BusMerchantAccountSynBo bo, PageQuery pageQuery);

    /**
     * 查询商户账户同步列表
     */
    List<BusMerchantAccountSynVo> queryList(BusMerchantAccountSynBo bo);

    /**
     * 新增商户账户同步
     */
    Boolean insertByBo(BusMerchantAccountSynBo bo);

    /**
     * 修改商户账户同步
     */
    Boolean updateByBo(BusMerchantAccountSynBo bo);

    /**
     * 校验并批量删除商户账户同步信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
